Can Iupgrade an EB006 V6 to V7 to enable ICD

For E-blocks user to discuss using E-blocks and programming for them.

Moderators: Benj, Mods

altair625
Posts: 2
Joined: Mon May 22, 2017 10:24 am
Been thanked: 1 time
Contact:

Can Iupgrade an EB006 V6 to V7 to enable ICD

Postby altair625 » Mon May 22, 2017 1:25 pm

I have 2 off EB006 programmer boards that are V6. I am using Flowcode 5 and Itried to enable the ICD function but I just get a message saying the programmer board needs V7. Can I upgrade the programmer board software to version 7 so as to allow the ICD to function
Regards
Tim

User avatar
Benj
Matrix Staff
Posts: 13989
Joined: Mon Oct 16, 2006 10:48 am
Location: Matrix TS Ltd
Has thanked: 4253 times
Been thanked: 4008 times
Contact:

Re: Can Iupgrade an EB006 V6 to V7 to enable ICD

Postby Benj » Mon May 22, 2017 3:28 pm

Hi Tim,

Sorry the EB006 v7 and onwards has upgraded hardware and firmware to help support the ghost features.

A v6 board cannot be upgraded to a v7 board.

From memory the various revisions brought in.

v7 - ICD support & PICkit header
v8 - Charge Pump - Reprogramming without requiring 12V supply
v9 - ICT support & 3V3 operation support

The Flowkit 2 device will allow you to add ICD and ICT functionality to an EB006 but it might simply be easier to get one of the newer v9 EB006 boards.

altair625
Posts: 2
Joined: Mon May 22, 2017 10:24 am
Been thanked: 1 time
Contact:

Re: Can Iupgrade an EB006 V6 to V7 to enable ICD

Postby altair625 » Tue May 23, 2017 10:19 am

Thanks I didn't want to spend the money till i'd checked
These users thanked the author altair625 for the post:
Benj (Tue May 23, 2017 10:53 am)
Rating: 5.88%